Comtrend CT-507 IT ADSL Router 'scvrtsrv.cmd' Cross-Site Scripting Vulnerability

2010-01-29T00:00:00
ID EDB-ID:33580
Type exploitdb
Reporter Yoyahack
Modified 2010-01-29T00:00:00

Description

Comtrend CT-507 IT ADSL Router 'scvrtsrv.cmd' Cross Site Scripting Vulnerability. CVE-2010-0470. Remote exploit for hardware platform

                                        
                                            source: http://www.securityfocus.com/bid/38004/info

Comtrend CT-507 IT is prone to a cross-site scripting vulnerability because the device's web interface fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks. 

http://www.example.com/scvrtsrv.cmd?action=add&srvName=XSS_HERE&srvAddr=192.168.1.1&proto=1,&eStart=1,&eEnd=1,&iStart=1,&iEnd=1